Opened 10 years ago

Closed 10 years ago

#8597 closed enhancement (wontfix)

#25017 and bump to PHP5.3 causing problems

Reported by: tephra@… Owned by: Rob Smith
Priority: minor Milestone: unknown
Component: Plugin - MythWeb Version: Unspecified
Severity: medium Keywords:
Cc: Ticket locked: yes

Description

Hi Guys,

Given MOST distributions of linux as still using PHP5.2 can we add in some functionality to replicate the native 5.3 function "get_called_class()"?

mythweb isn't working without that function :)

thread on the topic: http://www.gossamer-threads.com/lists/mythtv/users/439546

Cheers D.

Change History (1)

comment:1 Changed 10 years ago by Rob Smith

Resolution: wontfix
Status: newclosed
Ticket locked: set

php 5.3 is available for Fedora 6 and newer Ubuntu lucid and newer RHEL 4 and newer Mandriva 2010 RedHat? 6.X PCLinuxOS Gentoo

And was released about a year ago.

Second, that function doesn't work with anonymous stacks which can be created with nested cache lookups, so it's not a valid work around as the plan is to get much more agressive on our cache stacks.

Note: See TracTickets for help on using tickets.